<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [setActionAutolevel](./bitburner.bladeburner.setactionautolevel.md)

## Bladeburner.setActionAutolevel() method

Set an action autolevel.

**Signature:**

```typescript
setActionAutolevel(type: string, name: string, autoLevel: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |
|  autoLevel | boolean | Whether or not to autolevel this action |

**Returns:**

void

## Remarks

RAM cost: 4 GB

Enable/disable autoleveling for the specified action.

